/**
 * 进货单实体映射类
 * Client.java
 * Copyright (C) 2010 SLMS
 * Simple Logistics Management System
 * 
 */
package com.zds.slms.domain;

/**
 * 
 * Copyright (C) 2010:SLMS<br/>
 * Project:SLMS<br/>
 * Module ID:<br/>
 * Comments:Simple Logistics Management System<br/>
 * JDK version used:JDK1.6<br/>
 * Package:com.zds.bss.domain<br/>
 * Author:chenyongzheng<br/>
 * Create Date:2010-12-3<br/>
 * Modified By:<br/>
 * Modified Date:<br/>
 * Why & What is modified:<br/>
 * Version:0.1<br/>
 */
@SuppressWarnings("serial")
public class Stockin implements java.io.Serializable {

	private Integer id;
	private Merchandise merchandise;
	private Client client;
	private Employee employee;
	private String code;
	private int amount;
	private float price;
	private float money;
	private String stockindate;

	public Stockin() {
	}

	public Stockin(Merchandise merchandise, Client client, Employee employee,
			String code, int amount, float price, float money,
			String stockindate) {
		this.merchandise = merchandise;
		this.client = client;
		this.employee = employee;
		this.code = code;
		this.amount = amount;
		this.price = price;
		this.money = money;
		this.stockindate = stockindate;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Merchandise getMerchandise() {
		return this.merchandise;
	}

	public void setMerchandise(Merchandise merchandise) {
		this.merchandise = merchandise;
	}

	public Client getClient() {
		return this.client;
	}

	public void setClient(Client client) {
		this.client = client;
	}

	public Employee getEmployee() {
		return this.employee;
	}

	public void setEmployee(Employee employee) {
		this.employee = employee;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public int getAmount() {
		return this.amount;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}

	public float getPrice() {
		return this.price;
	}

	public void setPrice(float price) {
		this.price = price;
	}

	public float getMoney() {
		return this.money;
	}

	public void setMoney(float money) {
		this.money = money;
	}

	public String getStockindate() {
		return this.stockindate;
	}

	public void setStockindate(String stockindate) {
		if (null != stockindate && stockindate.length() >= 10) {
			stockindate = stockindate.substring(0, 10);
		}
		this.stockindate = stockindate;
	}

}
